I have a utility that I ported over from VBA to .Net that draws item bubbles. Our company uses elliptical bubbles for ship marks. My program draws the ellipse then a line to the center of the ellipse then finds the intersection (using IntersectWith) of the two so it can move the endpoint to the intersection. My problem is that it works great in a new drawing but once when I get to the point of inserting bubbles it can't seem to find the intersection. Any ideas??

Here's the pc of code...

LineObj = ThisDrawing.ModelSpace.AddLine(Point1, Point2)
majAxis(0) = 0.1875 : majAxis(1) = 0.0# : majAxis(2) = 0.0#
radRatio = 0.666666666666667
TempEllipse = ThisDrawing.ModelSpace.AddEllipse(Point2, majAxis, radRatio)
EdgeofTag = TempEllipse.IntersectWith(LineObj,
AcExtendOption.acExtendNone)
TempEllipse.Delete()
LineObj.Delete()
LineObj =
Nothing
LineObj = ThisDrawing.ModelSpace.AddLine(Point1, EdgeofTag)